(define-module (ordo connection base)
  #:use-module (oop goops)
  #:export (<connection>
            conn:setup
            conn:teardown
            conn:run
            conn:call-with-input-file
            conn:call-with-output-file))

(define-class <connection> ())

(define-method (conn:setup (c <connection>)) #t)

(define-method (conn:teardown (c <connection>)) #t)

(define-generic conn:run)

(define-generic conn:call-with-input-file)

(define-generic conn:call-with-output-file)
