(define-module (ordo util read-lines)
  #:use-module (ice-9 rdelim)
  #:export (read-lines))

(define (read-lines port)
  "Read lines from port until eof is encountered. Return list of all lines read."
  (define (loop line result)
    (if (eof-object? line)
        (reverse result)
        (loop (read-line port) (cons line result))))
  (loop (read-line port) '()))
